<?php
/*
Plugin Name: Horizontal
Plugin URI: http://premium.wpmudev.org
Description: Faciliates horizontal scrolling content
Version: 1.0
Author URI: http://twitter.com/ChrisKnowles
*/

// override the template for a story
function get_horizontal_template( $original_template ) {
  
	if ( is_singular( 'post' ) && get_post_meta(get_the_ID(), 'horizontal', true) ) {
		return dirname( __FILE__ ) . '/theme/horizontal-content.php';
  	} else {
		return $original_template;
  	}
}
 
add_filter( 'template_include', 'get_horizontal_template' );

function section_shortcode( $atts, $content = null){
 
	return '<section><div class="section-content">' . do_shortcode( $content ) . '</div></section>';
 
}

function block_shortcode( $atts, $content = null){
 
	return '<div class="block">' .  do_shortcode( $content ) . '</div>';
 
}
 
add_shortcode( 'section', 'section_shortcode' );
add_shortcode( 'block', 'block_shortcode' );

?>